/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_HHT_NET_SETTINGS_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_HHT_NET_SETTINGS.h"
#include "../Generated/ID_SCREEN_HHT_NET_SETT_UPDATE.h"
#include "../utilities/fsl_debug_console.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_HHT_NET_SETTINGS
*/
void cbID_SCREEN_HHT_NET_SETTINGS(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_HHT_NET_IP_ADDR_DISP__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_NET_SETTINGS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_HHT_NET_IP_ADDR_DISP__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	//#include "../Generated/ID_SCREEN_HHT_NET_SETT_UPDATE.h"
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__APPW_NOTIFICATION_MOTION
*/
void ID_SCREEN_HHT_NET_SETTINGS__APPW_NOTIFICATION_MOTION(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
			if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
			{
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_update_HHT_net_IP_Addr);

				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_update_HHT_net_SubNet_Addr);

				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_update_HHT_net_gateway_Addr);
			}
			else
			{
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_HHT_IP_Addr1);

				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_HHT_Subnet_Addr1);

				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
				APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_HHT_Gateway_Addr1);
			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_NET_IP_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_NET_IP_ADDR_DISP__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_NET_IP_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_NET_IP_ADDR_DISP__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_update_HHT_net_IP_Addr);
//
//	}
//	else
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_HHT_IP_Addr1);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_SNET_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SNET_ADDR_DISP__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_SNET_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SNET_ADDR_DISP__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_update_HHT_net_SubNet_Addr);
//
//	}
//	else
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_HHT_Subnet_Addr1);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_GW_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_GW_ADDR_DISP__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_TEXT_HHT_GW_ADDR_DISP__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_GW_ADDR_DISP__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_update_HHT_net_gateway_Addr);
//	}
//	else
//	{
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
//		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_HHT_Gateway_Addr1);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_NET_SETTINGS_Copy__ID_BUTTON_BUC_IP_UPDATE__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_NET_SETTINGS_Copy__ID_BUTTON_BUC_IP_UPDATE__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
					if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
					{
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_IP_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_IP_ADDR_VAL, gui_update_HHT_net_IP_Addr);

						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_SNET_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_SNET_ADDR_VAL, gui_update_HHT_net_SubNet_Addr);

						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_GW_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_GW_ADDR_VAL, gui_update_HHT_net_gateway_Addr);
					}

					else
					{
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_IP_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_IP_ADDR_VAL, gui_HHT_IP_Addr1);

						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_SNET_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_SNET_ADDR_VAL, gui_HHT_Subnet_Addr1);

						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_GW_ADDR_VAL, "");
						APPW_SetText(ID_SCREEN_HHT_NET_SETT_UPDATE, ID_EDIT_HHT_GW_ADDR_VAL, gui_HHT_Gateway_Addr1);
					}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_REFRESH_HHT_NET__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_REFRESH_HHT_NET__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	if(HHT_Net_Sett_Save_Flag==1 && HHT_Net_Validate_Flag==1)
	{
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_update_HHT_net_IP_Addr);

		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_update_HHT_net_SubNet_Addr);

		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_update_HHT_net_gateway_Addr);
	}
	else
	{
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_NET_IP_ADDR_DISP, gui_HHT_IP_Addr1);

		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_SNET_ADDR_DISP, gui_HHT_Subnet_Addr1);

		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, "");
		APPW_SetText(ID_SCREEN_HHT_NET_SETTINGS, ID_TEXT_HHT_GW_ADDR_DISP, gui_HHT_Gateway_Addr1);
	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_BACK_HHT_NET__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_BACK_HHT_NET__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_HOME_HHT_NET__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_HHT_NET_SETTINGS__ID_BUTTON_HOME_HHT_NET__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
